<template>
  <div id="center">
    <div class="up">
      <div
        class="bg-color-black item"
        v-for="item in titleItem"
        :key="item.title"
      >
        <p class="ml-3 colorWhite fw-b fs-xl" style="font-size: 18px">
          {{ item.title }}
        </p>
        <div>
          <dv-digital-flop
            class="dv-dig-flop ml-1 mt-2 pl-3"
            :config="item.number"
          />
        </div>
      </div>
    </div>
    <div class="down">
      <!-- <div class="ranking bg-color-black">
        <div style="margin-top: 8px;">
          <span>
          <icon name="align-left" class="text-icon"></icon>
          </span>
          <span class="fs-xl text mx-2 mb-1 pl-3" style="font-size:20px">当日库区出入库数量统计</span>
        </div>
        <dv-scroll-ranking-board 
          class="dv-scr-rank-board mt-1"
          :config="ranking"
          style="width:300px;height:400px;font-size:30px"
        />
      </div> -->
      <div class="water" style="margin-left: 35px">
        <div class="ranking bg-color-black" style="width: 912px">
          <div style="margin-top: 8px">
            <span>
              <icon name="chart-area" class="text-icon"></icon>
            </span>
            <span class="fs-xl text mx-2 mb-1 pl-3" style="font-size: 20px"
              >缓存区货位状态</span
            >
          </div>
          <div
            style="
              width: 880px;
              height: 220px;
              margin: 20px auto;
              display: flex;
              flex-wrap: wrap;
              justify-content: space-around;
            "
          >
            <div
              v-for="item in locationData"
              :key="item.index"
              class="location"
              :class="getStateClass(item.state)"
            >
              <div style="height: 45px; line-height: 45px">{{ item.name }}</div>
              <div style="height: 45px; line-height: 22.5px">
                {{ item.stateName }}
              </div>
            </div>
          </div>
          <div style="margin-top: 8px">
            <span>
              <icon name="chart-area" class="text-icon"></icon>
            </span>
            <!-- <span class="fs-xl text mx-2 mb-1 pl-3" style="font-size:20px">W61滚筒线信号监控</span> -->
          </div>
          <!-- <div style="width: 850px;height:50px;line-height: 50px;margin: 20px auto;font-size: 20px;display: flex;">
              请求铲运信号:<div style="width: 60px;height: 30px;margin: 10px 18px;" :class="isShovel?'show':'noshow'"></div>
              允许铲运信号:<div style="width: 60px;height: 30px;margin: 10px 18px;" :class="isAllow?'show':'noshow'"></div>
            </div> -->
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "@/api/ajax.js";
export default {
  data() {
    return {
      titleItem: [],
      // ranking: {
      //   data: [
      //     {
      //       name: "当日成品入库数量",
      //       value: 0,
      //     },
      //     {
      //       name: "当日成品出库数量",
      //       value: 0,
      //     },
      //     {
      //       name: "当日空桶入库数量",
      //       value: 0,
      //     },
      //     {
      //       name: "当日空桶出库数量",
      //       value: 0,
      //     },
      //   ],
      //   carousel: "single",
      //   unit: "托",
      // },
      isSetinterval: true,
      locationData: [
        {
          name: "1号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "2号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "3号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "4号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "5号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "6号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "7号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "8号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "9号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "10号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "11号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "12号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "13号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "14号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "15号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "16号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "17号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "18号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "19号缓存",
          state: true,
          stateName: "",
        },
        {
          name: "20号缓存",
          state: true,
          stateName: "",
        },
      ],
      isAllow: true,
      isShovel: false,
      isCache: true,
    };
  },
  mounted() {
    // this.getTaskinfoList();
    this.getCacheStatus();
  },
  methods: {
    getStateClass(state) {
      switch (state) {
        case 0:
          return "state-0";
        case 1:
          return "state-1";
        case 2:
          return "state-2";
        default:
          return "state-default";
      }
    },
    getTaskinfoList() {
      axios.post("/api/LED/TaskinfoList", null, "").then((res) => {
        if (res.data.status) {
          var data = res.data.data;
          var arrTasks = [];
          data.list.forEach((x) => {
            arrTasks.push({
              name: "<span style='font-size:16px'>" + x.name + "</span>",
              value: x.count,
            });
          });
          this.ranking = {
            data: arrTasks,
            carousel: "single",
            unit: "托",
          };
          if (this.isSetinterval) {
            setInterval(() => {
              this.getTaskinfoList();
              this.isSetinterval = false;
            }, 5000);
          }
        }
      });
    },
    getCacheStatus() {
      // axios.post("http://192.168.2.51:9290/api/Task/CacheStatus", {
      axios
        .post("http://127.0.0.1:9290/api/Task/CacheStatus", {
          MainData: {
            AGVName: "505",
          },
        })
        .then((res) => {
          if (res.data.status) {
            var data = res.data.data;
            console.log(data);
            this.locationData = [];
            data.list.forEach((x) => {
              this.locationData.push({
                name: x.name + "号缓存位",
                state: x.state,
                stateName: x.statename,
              });
            });
            this.isAllow = data.isAllow;
            this.isShovel = data.isShovel;
            if (this.isCache) {
              setInterval(() => {
                this.getCacheStatus();
                this.isCache = false;
              }, 5000);
            }
          }
        });
    },
  },
};
</script>

<style lang="scss" scoped>
#center {
  display: flex;
  flex-direction: column;
  .location {
    font-size: 18px;
    font-weight: bold;
    height: 90px;
    margin: 10px 0px;
    flex: 0 0 13%;
    text-align: center;
  }
  .state-0 {
    background-color: #609c41;
  }
  .state-1 {
    background-color: red;
  }
  .state-2 {
    background-color: orange;
  }
  &.state-default {
    background-color: gray; // Default color if state is unexpected
  }
  .show {
    background-color: aqua;
  }
  .noshow {
    background-color: gray;
  }
  .up {
    width: 1280px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    .item {
      border-radius: 6px;
      padding-top: 8px;
      margin-top: 8px;
      width: 48%;
      height: 70px;
      .dv-dig-flop {
        width: 150px;
        height: 30px;
      }
    }
  }
  .down {
    padding: 6px 4px;
    padding-bottom: 0;
    width: 600px;
    display: flex;
    height: 255px;
    justify-content: space-between;
    .bg-color-black {
      border-radius: 5px;
    }
    .ranking {
      padding: 10px;
      width: 320px;
      height: 402px;
      .dv-scr-rank-board {
        height: 225px;
        margin-top: 20px;
      }
    }
    .percent {
      width: 40%;
      display: flex;
      flex-wrap: wrap;
      .item {
        width: 50%;
        height: 120px;
        span {
          margin-top: 8px;
          margin-left: 8px;
          font-size: 14px;
          display: flex;
          justify-content: center;
        }
      }
      .dv-wa-le-po {
        margin-left: 1000px;
        .dv-wa-le-po {
          height: 120px;
        }
      }
    }
  }
}
</style>
